APITags
Create tag
Create a thread tag. tag_group_id is required; fetch the workspace's groups via GET /tags/groups. Requires the tags:write scope.
POST
/tagscurl -X POST "https://productlane.com/api/v2/tags" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"color": "string",
"icon": "string",
"tag_group_id": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
namestringrequiredcolorstringrequiredHex color in
#RRGGBBor#RGBform.iconstringrequiredName of a Nucleo icon (PascalCase, e.g.
Notepad,Atom). Must be a valid icon from https://nucleoapp.com - unknown names will not render in the dashboard.tag_group_idstringrequiredTag group id. Required. Fetch the workspace's groups via
GET /tags/groups.
Response
application/json
Successful response
idstringrequirednamestringrequiredcolorstringrequirediconstring | nullrequiredName of a Nucleo icon (PascalCase, e.g.
Notepad,Atom). Must be a valid icon from https://nucleoapp.com - unknown names will not render in the dashboard or portal.tag_group_idstring | nullrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"name": "string",
"color": "string",
"icon": "string",
"tag_group_id": "string",
"created_at": "string",
"updated_at": "string"
}